Subject: Re: bug#35169: [PATCH] gnu: Add urh.

From: zimoun <[email-masked]>
Date: Thu, 07 Apr 2022 14:41:01 +0200

Hi,

Looking at old patch submission, I hit this:

        <http://issues.guix.gnu.org/issue/35169>

and I miss why it is not merged…

On Fri, 26 Apr 2019 at 12:30, Arun Isaac <[email-masked]> wrote:
>>> +    (synopsis "Driver for HackRF, a general purpose software
>>> defined radio")
>>> +    (description "@code{hackrf} provides drivers for HackRF, a
>>> general purpose
>>> +software defined radio (SDR).")
>>
>> Drivers for…  Linux?  CUSE?  Something else?  (URH?)
>
> Actually, this package provides a library that uses libusb to interface
> with the HackRF software defined radio. Shall I rewrite the synopsis and
> description as follows, replacing "driver" with "library"? Or, should I
> say "userspace driver" instead of "library"?
>
> synopsis:
>
> Interface library for the HackRF software defined radio
>
> description:
>
> @code{hackrf} provides a library to interface with HackRF, a general
> purpose software defined radio.

…I mean, description and synopsis are important but they should not be a
blocker here. :-)

Arun, could you rebase and merge it?

Cheers,
simon